Package org.linphone.core

# Enum Class MagicSearch.Source

java.lang.Object
java.lang.Enum<MagicSearch.Source>
org.linphone.core.MagicSearch.Source

All Implemented Interfaces:
  `Serializable`, `Comparable<MagicSearch.Source>`, `Constable`

Enclosing interface:
  `MagicSearch`

public static enum MagicSearch.Source extends Enum<MagicSearch.Source>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`All`
Search in all sources.
`CallLogs`
Search in Call Logs.
`ChatRooms`
Search in Chat rooms participants.
`ConferencesInfo`
Search in conferences info (organizer and participants)
`FavoriteFriends`
Search in "starred" friends only.
`Friends`
Search in friends only.
`LdapServers`
Search in LDAP servers.
`None`
no Source specified.
`RemoteCardDAV`
Search in remote CardDAV servers (not locally synched ones) if any.
`Request`
Search from request : it is usually an address built from the request.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MagicSearch.Source`
`fromInt(int value)`
`int`
`toInt()`
`static MagicSearch.Source`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MagicSearch.Source[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final MagicSearch.Source None
no Source specified.
If requested in search, the list should be empty

### Friends

public static final MagicSearch.Source Friends
Search in friends only.

### CallLogs

public static final MagicSearch.Source CallLogs
Search in Call Logs.

### LdapServers

public static final MagicSearch.Source LdapServers
Search in LDAP servers.

### ChatRooms

public static final MagicSearch.Source ChatRooms
Search in Chat rooms participants.

### Request

public static final MagicSearch.Source Request
Search from request : it is usually an address built from the request.

### FavoriteFriends

public static final MagicSearch.Source FavoriteFriends
Search in "starred" friends only.

### ConferencesInfo

public static final MagicSearch.Source ConferencesInfo
Search in conferences info (organizer and participants)

### RemoteCardDAV

public static final MagicSearch.Source RemoteCardDAV
Search in remote CardDAV servers (not locally synched ones) if any.

### All

public static final MagicSearch.Source All
Search in all sources.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MagicSearch.Source[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MagicSearch.Source valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MagicSearch.Source fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()